動作環境について

Q:Zen Cartを導入するために必要な動作環境について教えてください 。

最低限の動作環境として、 PHP4.1.x MySQL3.2.x、Apache1.3.xになります。脆弱性対策を考えるとPHP4.4.9以上、快適な動作のためにはPHP5.x以上であることが望ましいです。

最新の環境としては、PHP5.3.x系では問題なく稼働、MySQL5.5.x系に関してはインストールスクリプトの一部修正で利用可能となっています。

テストサーバからの移設方法

Q:テストサーバーに構築して、その後で本番サーバーへ移設することは可能ですか?

可能です。(ただし両方のサーバー環境を確認して下さい)

  1. テストサーバーにZen Cartをインストールし、そこで各種の設定変更を行って下さい。
  2. 管理者画面、そしてphpMyAdminを利用してデータベースのバックアップを取って下さい。
  3. 全てのファイルをFTPソフトを使って新サーバーに移行して下さい。前と同じ配置になるように注意して下さい。
  4. phpMyAdminを使用してデータベースを作成しバックアップファイルを入力して下さい。
  5. includes/configure.phpとadmin/includes/configure.phpを開いてパスの変更を行って下さい。

他のショッピングカートとの並存

Q:現在他のショッピングカートを利用していますが、Zen Cartをインストールすることは可能でしょうか?

はい、Zen Cartと他のショッピングカートを併存させることは可能です。念のためZen Cartをインストールする前にショッピングカートのプログラムとデータベースのバックアップを取っておいて下さい。またテスト中はテスト用のディレクトリを作り、その中にインストールを行って下さい。Zen Cartのデータベースは新規に作られなければなりません。

※注意 他のショッピングカートのデータベースのある場所にZen Cartをインストールしないようにして下さい。データベースの情報が上書きされたり、壊れる可能性があります。

メインメニュー

サポート

Facebook

バナー

www.zen-cart.jpバナー
その他のバナーはZen Cart本家のページにあります
paypalバナー
Zen Cartプロジェクト(本家開発者チーム)への寄付をする
SourceForge.jpバナー